title: Azure DevOps
file_name: azure-devops
single_tool_data:
  single_tool: false
  single_tool_category: manage
logo: /images/comparisons/microsoft-azure-devops-color.svg
manage:
  Project-level permissioning: 2
  Role-based Access Control: 2
  Self-service onboarding: 1
  Audit reporting: 1
  Group-level permissioning: 2
  Data export: 1
  2FA: 2
  Operational DevOps metrics: 1
  Custom issue analytics: 2
  Value stream management: 1
  Compliance framework enforcement: 2
  DevOps Adoption reorts: 0
  Audit logging: 2
  Data import: 1
  LDAP/AD integration: 1
plan:
  Capacity planning: 2
  Sprint planning: 2
  Workflow Management: 2
  Global Search: 1
  Design Management: 0
  Extensibility: 2
  Issue Management: 2
  Enterprise readiness: 2
  Operational Metrics / Value Stream: 1
  Boards: 2
  Enterprise Framework Support: 1
  Requirements Management: 0
  Roadmaps: 2
  Cost Tracking & Estimation: 0
  Work Item Relationships: 1
  End-to-end visibility / traceability: 1
source-code-management:
  Change Approvals: 1
  Protected branches: 2
  Mirroring: 1
  Project and File Templates: 0
  "Scalable, Fault-Tolerant Git Storage": 1
  Git LFS: 2
  Code Review: 2
  Commit Graphs: 0
  Push Rules: 0
  Live Preview: 0
  Git-Based SCM: 2
  Snippets: 2
  Signed Commits: 0
  Partial Clone: 0
  Web IDE: 0
continuous-integration:
  Integration testing: 2
  Pipeline visualization: 2
  Compliance and audit controls: 2
  Enterprise readiness: 2
  Build parallelization: 2
  "Linters, scanners, and syntax validation included": 2
  Dynamic pipelines: 1
  Configuration-as-code: 2
  Unit testing and static code analysis: 2
  Pipeline status logs and analytics for reporting: 2
  Embedded security scans in CI pipeline: 1
  CI pipeline templates: 2
  Multi-cloud w/ cloud native support: 2
  "SaaS, On-prem, and hybrid installation": 2
  Load and performance testing: 2
  Ease of use/setup: 2
  Pipeline scheduling and monitoring: 2
package:
  Searchable artifacts: 2
  Dependency scanning: 1
  "Top package formats supported (npm, maven, pyi, etc.)": 2
  Storage management: 2
  Enterprise readiness: 2
  Virtual Registry: 0
  Dependency Firewall: 0
  Package Registry: 2
  High Availability: 2
  API: 2
  Container registry: 2
  Geo Replication: 1
  Certified dependencies (or images): 0
secure:
  Vulnerability mgmt: 2
  Dependency Scanning: 1
  Secrets detection: 1
  SBOM (dependency list): 0
  Code Quality: 1
  Compliance dashboard: 0
  SAST: 1
  Container Scanning: 2
  MR approvals: 1
  License Compliance: 1
  compliance frameworks: 0
  API fuzz test: 0
  DAST: 1
  Vulnerability database: 0
  coverage guided fuzz testing: 0
continuous-delivery:
  Deployment pipeline visualization: 2
  incremental roll-out: 2
  "Support for traditional deployment targets - physical, virtual machines, mainframes": 1
  Roll back: 0
  "DORA metrics (Mean time for changes, MTTR, Change Failure Rate, Deployment Frequency)": 1
  Canary deployment: 2
  Static Site Hosting: 0
  Environments dashboard: 2
  Blue-green deployment: 2
  MR approvals: 1
  Feature flags: 0
  Release versioning and evidence: 2
  Support for cloud native deployment targets: 2
  Runbooks: 0
configure:
  Infrastructure/ Config/ Policies etc as code: 2
  Integration with IaC tools like Terraform: 2
  "Configure physical, virtual, cloud infrastructures": 2
  Configure cloud native environments: 2
  Detect and remediate configuration drift: 0
  Secure Kubernetes Integration: 1
  Push and Pull actions: 1
monitor:
  Synthetic monitoring: 0
  Log monitoring: 0
  Distributed Tracing: 0
  Load performance testing: 0
  Alert Management: 0
  Application performance monitoring: 0
  Integrations with established incident management tools: 0
  Digital experience monitoring (real user monitoring): 0
  Incident Management: 0
  Automated discovery & mapping: 0
  Infrastructure Performance monitoring: 0
  Mobile Performance Monitoring: 0
protect:
  "container host security:": 2
  container network security: 2
  container scanning: 1
  security orchestration (runtime policies): 2
